org.eclipse.wst.jsdt.debug.core.breakpoints

## Interface IJavaScriptLoadBreakpoint

All Superinterfaces:
  IJavaScriptBreakpoint, IJavaScriptLineBreakpoint

    public interface IJavaScriptLoadBreakpoint
    extends IJavaScriptLineBreakpoint

Abstract description of a JavaScript script load breakpoint

Since:
  1.0

### Field Summary

Fields
`static java.lang.String` `MARKER_ID` Registered marker id for a JavaScript script load breakpoint

### Fields inherited from interface org.eclipse.wst.jsdt.debug.core.breakpoints.IJavaScriptBreakpoint

`ELEMENT_HANDLE, HIT_COUNT, SCRIPT_PATH, SUSPEND_POLICY, SUSPEND_TARGET, SUSPEND_THREAD, TYPE_NAME`

### Method Summary

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.breakpoints.IJavaScriptLineBreakpoint

`getCondition, isConditionEnabled, isConditionSuspendOnTrue, setCondition, setConditionEnabled, setConditionSuspendOnTrue`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.breakpoints.IJavaScriptBreakpoint

`getHitCount, getJavaScriptElementHandle, getScriptPath, getSuspendPolicy, getTypeName, isInstalled, setHitCount, setJavaScriptElementHandle, setSuspendPolicy`

### Field Detail

#### MARKER_ID

    static final java.lang.String MARKER_ID

Registered marker id for a JavaScript script load breakpoint

See Also:
  Constant Field Values